Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1337183 - Midori crashes when playing a youtube video
Summary: Midori crashes when playing a youtube video
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: midori
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-18 12:37 UTC by Ervin
Modified: 2016-12-20 20:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 20:35:59 UTC
Type: Bug


Attachments (Terms of Use)

Description Ervin 2016-05-18 12:37:03 UTC
Description of problem:
Midori can't play youtube videos without restricted multimedia codecs which are not by default in Fedora due to licensing and patent issues and crashes (disappears) when opening a youtube video. 

Version-Release number of selected component (if applicable):
midori 0.5.11

How reproducible:
Always

Steps to Reproduce:
1. Run Midori
2. Open youtube and run a random video


Actual results:
Midori crashes after asking for multimedia codecs to be installed (restricted ones) 


Expected results:
Midori should be able to play youtube with the free webm codec the same Mozilla does. If not possible to do so,  display an error in video playing and not play the video rather than crash completely. 

Additional info:
Midori does not crash and plays youtube normally when the multimedia codecs it requires are enabled (through rpmfusion).

Comment 1 Ervin 2016-05-18 12:37:57 UTC
Midori asks for multimedia codecs when opening the Airbnb page as well. However it does not crash.

Comment 2 Kevin Fenzi 2016-05-20 19:17:06 UTC
Can you get a stack trace of this crash?

https://fedoraproject.org/wiki/StackTraces

Or install abrt ( dnf groupinstall abrt-desktop ) and see if it can report the crash. 

Thanks.

Comment 3 Ervin 2016-05-23 19:07:54 UTC
Hi Kevin, abrt had problems reporting the crash. I will try to generate a stack trace.

Comment 4 Fedora End Of Life 2016-11-25 09:04:49 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2016-12-20 20:35:59 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.